--- /dev/null
+#!/bin/sh -
+cat <<'EOF'
+# dmidecode 3.3
+Getting SMBIOS data from sysfs.
+SMBIOS 2.4 present.
+16 structures occupying 588 bytes.
+Table at 0xFFFE0000.
+
+Handle 0x0000, DMI type 0, 24 bytes
+BIOS Information
+ Vendor: Google
+ Version: Google
+ Release Date: 06/20/2022
+ Address: 0xE8000
+ Runtime Size: 96 kB
+ ROM Size: 64 kB
+ Characteristics:
+ BIOS characteristics not supported
+ Targeted content distribution is supported
+ BIOS Revision: 1.0
+
+Handle 0x0097, DMI type 1, 27 bytes
+System Information
+ Manufacturer: Google
+ Product Name: Google Compute Engine
+ Version: Not Specified
+ Serial Number: GoogleCloud-957EDC416C53B28F6DA35168B6F8648D
+ UUID: 957edc41-6c53-b28f-6da3-5168b6f8648d
+ Wake-up Type: Power Switch
+ SKU Number: Not Specified
+ Family: Not Specified
+
+Handle 0x0098, DMI type 2, 15 bytes
+Base Board Information
+ Manufacturer: KVM
+ Product Name: Google Compute Engine
+ Version: Not Specified
+ Serial Number: Board-GoogleCloud-957EDC416C53B28F6DA35168B6F8648D
+ Asset Tag: 957EDC41-6C53-B28F-6DA3-5168B6F8648D
+ Features:
+ Board is a hosting board
+ Location In Chassis: Not Specified
+ Chassis Handle: 0x0099
+ Type: Motherboard
+ Contained Object Handles: 0
+
+Handle 0x0099, DMI type 3, 20 bytes
+Chassis Information
+ Manufacturer: Google
+ Type: Other
+ Lock: Not Present
+ Version: Not Specified
+ Serial Number: Not Specified
+ Asset Tag: Not Specified
+ Boot-up State: Safe
+ Power Supply State: Safe
+ Thermal State: Safe
+ Security Status: Unknown
+ OEM Information: 0x00000000
+ Height: Unspecified
+ Number Of Power Cords: Unspecified
+
+Handle 0x3001, DMI type 7, 17 bytes
+Cache Information
+ Socket Designation: L1 Cache
+ Configuration: Disabled, Not Socketed, Level 1
+ Operational Mode: Write Through
+ Location: Internal
+ Installed Size: 0 kB
+ Maximum Size: 1 kB
+ Supported SRAM Types: None
+ Installed SRAM Type: None
+
+Handle 0x3002, DMI type 7, 17 bytes
+Cache Information
+ Socket Designation: L2 Cache
+ Configuration: Disabled, Not Socketed, Level 1
+ Operational Mode: Write Back
+ Location: Internal
+ Installed Size: 0 kB
+ Maximum Size: 0 kB
+ Supported SRAM Types: None
+ Installed SRAM Type: None
+
+Handle 0x3003, DMI type 7, 17 bytes
+Cache Information
+ Socket Designation: L3 Cache
+ Configuration: Disabled, Not Socketed, Level 1
+ Operational Mode: Varies With Memory Address
+ Location: Internal
+ Installed Size: 256 kB
+ Maximum Size: 256 kB
+ Supported SRAM Types: None
+ Installed SRAM Type: None
+
+Handle 0x1000, DMI type 4, 42 bytes
+Processor Information
+ Socket Designation: CPU 1
+ Type: Central Processor
+ Family: ARMv8
+ Manufacturer: Google
+ ID: 00 00 00 00 00 00 00 00
+ Version: Not Specified
+ Voltage: Unknown
+ External Clock: Unknown
+ Max Speed: 3000 MHz
+ Current Speed: 3000 MHz
+ Status: Populated, Enabled
+ Upgrade: Other
+ L1 Cache Handle: 0x3001
+ L2 Cache Handle: 0x3002
+ L3 Cache Handle: 0x3003
+ Serial Number: Not Specified
+ Asset Tag: Not Specified
+ Part Number: Not Specified
+ Core Count: 1
+ Core Enabled: 1
+ Thread Count: 1
+ Characteristics:
+ 64-bit capable
+
+Handle 0x0200, DMI type 16, 15 bytes
+Physical Memory Array
+ Location: Other
+ Use: System Memory
+ Error Correction Type: Multi-bit ECC
+ Maximum Capacity: 4 GB
+ Error Information Handle: Not Provided
+ Number Of Devices: 1
+
+Handle 0x7000, DMI type 17, 21 bytes
+Memory Device
+ Array Handle: 0x0200
+ Error Information Handle: Not Provided
+ Total Width: 64 bits
+ Data Width: 64 bits
+ Size: 4 GB
+ Form Factor: DIMM
+ Set: None
+ Locator: DIMM 0
+ Bank Locator: Not Specified
+ Type: RAM
+ Type Detail: Synchronous
+
+Handle 0x0300, DMI type 19, 15 bytes
+Memory Array Mapped Address
+ Starting Address: 0x00000000000
+ Ending Address: 0x000BFFFFFFF
+ Range Size: 3 GB
+ Physical Array Handle: 0x0200
+ Partition Width: 1
+
+Handle 0x0301, DMI type 19, 15 bytes
+Memory Array Mapped Address
+ Starting Address: 0x00100000000
+ Ending Address: 0x0013FFFFFFF
+ Range Size: 1 GB
+ Physical Array Handle: 0x0200
+ Partition Width: 1
+
+Handle 0x4000, DMI type 20, 19 bytes
+Memory Device Mapped Address
+ Starting Address: 0x00000000000
+ Ending Address: 0x000BFFFFFFF
+ Range Size: 3 GB
+ Physical Device Handle: 0x7000
+ Memory Array Mapped Address Handle: 0x0300
+ Partition Row Position: 1
+
+Handle 0x4001, DMI type 20, 19 bytes
+Memory Device Mapped Address
+ Starting Address: 0x00100000000
+ Ending Address: 0x0013FFFFFFF
+ Range Size: 1 GB
+ Physical Device Handle: 0x7000
+ Memory Array Mapped Address Handle: 0x0301
+ Partition Row Position: 1
+
+Handle 0x0100, DMI type 32, 11 bytes
+System Boot Information
+ Status: No errors detected
+
+Handle 0xFEFF, DMI type 127, 4 bytes
+End Of Table
+
+EOF
--- /dev/null
+# Test for GCE
+# Copyright (C) 2008-2022 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+output="$(PATH=../..:$PATH virt-what --test-root=. 2>&1)"
+expected="google_cloud"
+
+if [ "$output" != "$expected" ]; then
+ echo "$0: test failed because output did not match expected"
+ echo "Expected output was:"
+ echo "----------------------------------------"
+ echo "$expected"
+ echo "----------------------------------------"
+ echo "But the actual output of the program was:"
+ echo "----------------------------------------"
+ echo "$output"
+ echo "----------------------------------------"
+ exit 1
+fi